org.eclnt.editor.tools

## Class ProjectInfo

- java.lang.Object
- - org.eclnt.editor.tools.ProjectInfo

-     public class ProjectInfo
      extends java.lang.Object

  Information about the project that is currently inside editor. This information is normally not required for runtime purposes - but is required when developing add-ons for the layout editor.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `ProjectInfo.AdditionalDeployCopyInfo`
    `class` | `ProjectInfo.AdditionalResourceInfo`
    `static class` | `ProjectInfo.DesignTimeTLDInfo`
    `static class` | `ProjectInfo.EditorPageBeanComponentInfo`
    `static class` | `ProjectInfo.HotDeploymentPackage`
    `static interface` | `ProjectInfo.IProjectPageLoadListener`
    `static interface` | `ProjectInfo.IProjectReloadListener`
    `class` | `ProjectInfo.ManagedBeanInfoDT`
    `class` | `ProjectInfo.PackageAbbreviation`
    `class` | `ProjectInfo.TemplateInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProjectInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProjectInfo.AdditionalResourceInfo` | `addAdditionalResourceInfo(java.lang.String package1, java.lang.String name, java.lang.String expressionprefix)`
    `void` | `addLibrary(ProjectInfo.DesignTimeTLDInfo library)`
    `ProjectInfo.ManagedBeanInfoDT` | `addManagedBeanInfoDT(java.lang.String name, java.lang.String className)`
    `void` | `addPackageAbbreviation(java.lang.String packageName, java.lang.String abbreviation)`
    `ProjectInfo.EditorPageBeanComponentInfo` | `addPageBeanCopyInfo(java.lang.String jspDirectory, java.lang.String javaPackage)`
    `void` | `addProjectPageLoadListener(ProjectInfo.IProjectPageLoadListener ppll)`
    `void` | `addProjectReloadListener(ProjectInfo.IProjectReloadListener prl)`
    `ProjectInfo.TemplateInfo` | `addTemplateInfo(java.lang.String resource, java.lang.String image)`
    `boolean` | `checkIfAttributeIsManagedByStyle(java.lang.String componentName, java.lang.String attributeName, java.lang.String stylevariantName)`
    `void` | `clear()`
    `void` | `createAdditionalDeployInfo(java.lang.String fromdir, java.lang.String todir, java.lang.String ignorecsv, boolean ignoreDuringHotDeployment)`
    `java.util.List<ProjectInfo.AdditionalDeployCopyInfo>` | `getAdditionalDeployInfos()`
    `java.util.List<ProjectInfo.ManagedBeanInfoDT>` | `getAdditionalManagedBeans()`
    `java.util.List<ProjectInfo.AdditionalResourceInfo>` | `getAdditionalResources()`
    `boolean` | `getAllowclean()` If true then the "clean&deploy" option is active in the layout editor.
    `boolean` | `getAllowversionupdatebytoolset()` Defines if a version update through the CaptainCasa toolset is allowed or not.
    `java.lang.String` | `getAxis2Home()`
    `java.lang.String` | `getBeanBrowserClassLoader()` Class loader name that is used within the bean browser.
    `boolean` | `getCheckForUpdatedFiles()`
    `java.lang.String` | `getClassPathExtension()` Extensions to the class path - semicolon separated list of directories or jar files.
    `int` | `getCodegeneratorIndent()`
    `java.lang.String` | `getCodegeneratorMemberprefix()`
    `java.lang.String` | `getCodegeneratorMembervisibility()`
    `java.lang.String` | `getCodegeneratorUIClassSuffix()`
    `java.lang.String` | `getCommandlinefilenotwriteable()` A command line that is executed if the file (e.g. jsp-page) that is written within the CaptainCasa toolkit is read-only.
    `java.lang.String[]` | `getCopywebappIgnore()`
    `java.lang.String` | `getCurrentPageName()`
    `java.lang.String` | `getDeployinfofilename()` File that - if defined - is written when deploying through the CaptainCasa toolset.
    `java.lang.String` | `getDispatchername()`
    `java.lang.String` | `getExpressionManager()`
    `java.lang.String` | `getHotDeployFileName()`
    `java.util.List<ProjectInfo.HotDeploymentPackage>` | `getHotDeploymentPackages()`
    `java.lang.String` | `getHtPdaStylePath()`
    `java.lang.String` | `getHtStylePath()`
    `java.lang.String` | `getJavaclassdirectory()` The directory where the compiled UI classes (managed beans/ backing beans) are located.
    `java.lang.String` | `getJavaclasswebinfdirectory()` The directory containing the classes that are comiled from `getJavasourcewebinfdirectory()`.
    `java.lang.String` | `getJavasourcedirectory()` The java source directory - where the bean structure editor writes its sources to.
    `java.lang.String` | `getJavaSourceEncoding()`
    `java.lang.String` | `getJavasourcewebinfdirectory()` The directory containing the sources that are compiled into WEB-INF/classes.
    `boolean` | `getKeepGeneratedIds()`
    `java.util.List<ProjectInfo.DesignTimeTLDInfo>` | `getLibrariesForReadAccess()`
    `boolean` | `getManagedByCCToolSet()`
    `java.lang.String` | `getName()` Name of the project - this is the name of the file within the editor/config/projects-directory of the tool web application.
    `java.util.List<ProjectInfo.PackageAbbreviation>` | `getPackageAbbreviations()`
    `java.util.List<ProjectInfo.EditorPageBeanComponentInfo>` | `getPbcinfos()`
    `java.lang.String` | `getPreviewbgpaint()`
    `java.lang.String` | `getProjectdirectory()` The main directory of the development project.
    `java.lang.String` | `getProjectFileName()`
    `java.lang.String` | `getProjectStyle()`
    `java.lang.String` | `getPropertyfilesdirectory()` Directory in which property files (multi language management) are stored.
    `boolean` | `getReloadwebapp()` Flag that indicates that the web application is realoded.
    `java.lang.String` | `getRuntimeVersion()`
    `java.util.List<java.lang.String>` | `getStyles()`
    `java.util.List<StyleManager.StyleValue>` | `getStyleValues()`
    `java.util.List<java.lang.String>` | `getStyleVariantsForComponent(java.lang.String componentName)` Find style variants that are defined for a given component within the default style of the project.
    `boolean` | `getSupportsHotDeploy()` Flag that indicates that project uses hot deployment of CaptainCasa toolkit.
    `java.util.List<ProjectInfo.TemplateInfo>` | `getTemplates()`
    `java.lang.String` | `getUitestcasedirectory()`
    `java.lang.String` | `getWebappaddonsdirectory(boolean withDefaulting)` Name of the directory in which the webappaddons-files are stored within the project.
    `java.lang.String` | `getWebcontentdeploydirectory()` The target directory for copying the web content, when executing a reload in the toolkit.
    `java.lang.String` | `getWebcontentdeployfromdirectory()` The directory which is copied into the runtime when executing a reload in the toolkit.
    `java.lang.String` | `getWebcontentdirectory()` The directory where web-resources are stored.
    `java.lang.String` | `getWebcontextroot()` The context root for building the preview URL in the toolkit.
    `java.lang.String` | `getWebhostport()` The host and port for building the preview URL in the toolkit.
    `java.lang.String` | `getXml()`
    `boolean` | `isCopywebapp()` Flag that indicates that a copy of webcontent is executed when executing a reload in the toolkit.
    `boolean` | `isProjectfileStoredInProjectDirectory()`
    `void` | `pageLoaded(java.lang.String pageName)` This functions is called when a page is shown within the layout editor.
    `void` | `reloadProject(java.lang.Object trigger)`
    `void` | `removeProjectPageLoadListener(ProjectInfo.IProjectPageLoadListener ppll)`
    `void` | `removeProjectReloadListener(ProjectInfo.IProjectReloadListener prl)`
    `void` | `setAllowclean(boolean allowclean)`
    `void` | `setAllowversionupdatebytoolset(boolean allowversionupdate)`
    `void` | `setAxis2Home(java.lang.String axis2Home)`
    `void` | `setBeanBrowserClassLoader(java.lang.String beanBrowserClassLoader)`
    `void` | `setCheckForUpdateFiles(java.lang.String value)`
    `void` | `setClassPathExtension(java.lang.String classPathExtension)`
    `void` | `setCodegeneratorIndent(int codegeneratorIndent)`
    `void` | `setCodegeneratorMemberprefix(java.lang.String codegeneratorPropertyprefix)`
    `void` | `setCodegeneratorMembervisibility(java.lang.String codegeneratorMembervisibility)`
    `void` | `setCodegeneratorUIClassSuffix(java.lang.String codegeneratorUIClassSuffix)`
    `void` | `setCommandlinefilenotwriteable(java.lang.String value)`
    `void` | `setCopywebapp(java.lang.String copywebapp)`
    `void` | `setCopywebappIgnore(java.lang.String[] copywebappIgnore)`
    `void` | `setCurrentPageName(java.lang.String value)`
    `void` | `setDeployinfofilename(java.lang.String deployinfofilename)`
    `void` | `setDispatchername(java.lang.String value)`
    `void` | `setExpressionManager(java.lang.String value)`
    `void` | `setHotDeployFileName(java.lang.String hotDeployFileName)`
    `void` | `setHtPdaStylePath(java.lang.String htPdaStylePath)`
    `void` | `setHtStylePath(java.lang.String htStylePath)`
    `void` | `setJavaclassdirectory(java.lang.String javaclassdirectory)`
    `void` | `setJavaclasswebinfdirectory(java.lang.String javaclasswebinfdirectory)`
    `void` | `setJavasourcedirectory(java.lang.String javasourcedirectory)` for testing purposes only!
    `void` | `setJavaSourceEncoding(java.lang.String javaSourceEncoding)`
    `void` | `setJavasourcewebinfdirectory(java.lang.String javasourcewebinfdirectory)`
    `void` | `setKeepGeneratedIds(boolean value)`
    `void` | `setLibraries(java.util.List<ProjectInfo.DesignTimeTLDInfo> libraries)`
    `void` | `setManagedByCCToolSet(boolean projectIsManagedByCCToolSet)`
    `void` | `setName(java.lang.String name)`
    `void` | `setPbcinfos(java.util.List<ProjectInfo.EditorPageBeanComponentInfo> pbcinfos)`
    `void` | `setPreviewbgpaint(java.lang.String previewbgpaint)`
    `void` | `setProjectdirectory(java.lang.String value)`
    `void` | `setProjectFileName(java.lang.String projectFileName)`
    `void` | `setProjectfileStoredInProjectDirectory(boolean projectfileStoredInProjectDirectory)`
    `void` | `setPropertyfilesdirectory(java.lang.String propertyfilesdirectory)`
    `void` | `setReloadwebapp(java.lang.String reloadwebapp)`
    `void` | `setRuntimeVersion(java.lang.String runtimeVersion)`
    `void` | `setSupportsHotDeploy(java.lang.String supportsHotDeploy)`
    `void` | `setTemplates(java.util.List<ProjectInfo.TemplateInfo> templates)`
    `void` | `setUitestcasedirectory(java.lang.String value)`
    `void` | `setWebappaddonsdirectory(java.lang.String webappaddonsdirectory)`
    `void` | `setWebcontentdeploydirectory(java.lang.String webcontentdeploydirectory)`
    `void` | `setWebcontentdeployfromdirectory(java.lang.String webcontentdeployfromdirectory)`
    `void` | `setWebcontentdirectory(java.lang.String webcontentdirectory)` for testing purposes only!
    `void` | `setWebcontextroot(java.lang.String webcontextroot)`
    `void` | `setWebhostport(java.lang.String webhostport)`
    `void` | `setXml(java.lang.String xml)`
    `void` | `triggerSrcUpdateInEclipse()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProjectInfo

          public ProjectInfo()

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Name of the project - this is the name of the file within the editor/config/projects-directory of the tool web application.

    - #### getBeanBrowserClassLoader

          public java.lang.String getBeanBrowserClassLoader()

      Class loader name that is used within the bean browser.

    - #### setBeanBrowserClassLoader

          public void setBeanBrowserClassLoader(java.lang.String beanBrowserClassLoader)

    - #### isProjectfileStoredInProjectDirectory

          public boolean isProjectfileStoredInProjectDirectory()

    - #### setProjectfileStoredInProjectDirectory

          public void setProjectfileStoredInProjectDirectory(boolean projectfileStoredInProjectDirectory)

    - #### getProjectdirectory

          public java.lang.String getProjectdirectory()

      The main directory of the development project.

    - #### getWebcontentdirectory

          public java.lang.String getWebcontentdirectory()

      The directory where web-resources are stored.

    - #### getWebcontentdeployfromdirectory

          public java.lang.String getWebcontentdeployfromdirectory()

      The directory which is copied into the runtime when executing a reload in the toolkit. By default is the same is the `getWebcontentdirectory()`.

    - #### getWebcontentdeploydirectory

          public java.lang.String getWebcontentdeploydirectory()

      The target directory for copying the web content, when executing a reload in the toolkit.

    - #### getWebcontextroot

          public java.lang.String getWebcontextroot()

      The context root for building the preview URL in the toolkit.

    - #### getWebhostport

          public java.lang.String getWebhostport()

      The host and port for building the preview URL in the toolkit.

    - #### getJavasourcedirectory

          public java.lang.String getJavasourcedirectory()

      The java source directory - where the bean structure editor writes its sources to.

    - #### getWebappaddonsdirectory

          public java.lang.String getWebappaddonsdirectory(boolean withDefaulting)

      Name of the directory in which the webappaddons-files are stored within the project.

    - #### setWebappaddonsdirectory

          public void setWebappaddonsdirectory(java.lang.String webappaddonsdirectory)

    - #### getJavasourcewebinfdirectory

          public java.lang.String getJavasourcewebinfdirectory()

      The directory containing the sources that are compiled into WEB-INF/classes. If not explicitly defined then this is either the same as `getJavasourcedirectory()` or this is (if using hot deployment) the same as `getProjectdirectory()`+"/src_webinf".

    - #### getJavaclassdirectory

          public java.lang.String getJavaclassdirectory()

      The directory where the compiled UI classes (managed beans/ backing beans) are located. By default is "webdeployfromdirectory/WEB-INF/classes", but may be explicitly defined.

    - #### setJavaclassdirectory

          public void setJavaclassdirectory(java.lang.String javaclassdirectory)

    - #### getJavaclasswebinfdirectory

          public java.lang.String getJavaclasswebinfdirectory()

      The directory containing the classes that are comiled from `getJavasourcewebinfdirectory()`. If not explicitly defined then this is either the same as `getJavaclassdirectory()`. In case of using hot deployment the directory is explicitly defined.

    - #### setJavaclasswebinfdirectory

          public void setJavaclasswebinfdirectory(java.lang.String javaclasswebinfdirectory)

    - #### getClassPathExtension

          public java.lang.String getClassPathExtension()

      Extensions to the class path - semicolon separated list of directories or jar files.

    - #### isCopywebapp

          public boolean isCopywebapp()

      Flag that indicates that a copy of webcontent is executed when executing a reload in the toolkit.

    - #### getCopywebappIgnore

          public java.lang.String[] getCopywebappIgnore()

    - #### getLibrariesForReadAccess

          public java.util.List<ProjectInfo.DesignTimeTLDInfo> getLibrariesForReadAccess()

    - #### addLibrary

          public void addLibrary(ProjectInfo.DesignTimeTLDInfo library)

    - #### setWebcontentdirectory

          public void setWebcontentdirectory(java.lang.String webcontentdirectory)

      for testing purposes only!

    - #### setJavasourcedirectory

          public void setJavasourcedirectory(java.lang.String javasourcedirectory)

      for testing purposes only!

    - #### getProjectFileName

          public java.lang.String getProjectFileName()

    - #### getJavaSourceEncoding

          public java.lang.String getJavaSourceEncoding()

    - #### getRuntimeVersion

          public java.lang.String getRuntimeVersion()

    - #### getSupportsHotDeploy

          public boolean getSupportsHotDeploy()

      Flag that indicates that project uses hot deployment of CaptainCasa toolkit.

    - #### getHotDeployFileName

          public java.lang.String getHotDeployFileName()

    - #### getAxis2Home

          public java.lang.String getAxis2Home()

    - #### getTemplates

          public java.util.List<ProjectInfo.TemplateInfo> getTemplates()

    - #### getPreviewbgpaint

          public java.lang.String getPreviewbgpaint()

    - #### getXml

          public java.lang.String getXml()

    - #### getReloadwebapp

          public boolean getReloadwebapp()

      Flag that indicates that the web application is realoded. The reload is done by sending a reload-URL to the manager application - this is hard-coded for Tomcat...

    - #### getAdditionalResources

          public java.util.List<ProjectInfo.AdditionalResourceInfo> getAdditionalResources()

    - #### getCheckForUpdatedFiles

          public boolean getCheckForUpdatedFiles()

    - #### getExpressionManager

          public java.lang.String getExpressionManager()

    - #### getCommandlinefilenotwriteable

          public java.lang.String getCommandlinefilenotwriteable()

      A command line that is executed if the file (e.g. jsp-page) that is written within the CaptainCasa toolkit is read-only. The command line may be a call to the source code versioning system to un-block the corresponding file.

    - #### getUitestcasedirectory

          public java.lang.String getUitestcasedirectory()

    - #### getAllowversionupdatebytoolset

          public boolean getAllowversionupdatebytoolset()

      Defines if a version update through the CaptainCasa toolset is allowed or not. Default: true (allowed). You sometimtes do not want the CaptainCasa toolset to update your project because you may use a different project structure than CaptainCasa.

    - #### setAllowversionupdatebytoolset

          public void setAllowversionupdatebytoolset(boolean allowversionupdate)

    - #### getPropertyfilesdirectory

          public java.lang.String getPropertyfilesdirectory()

      Directory in which property files (multi language management) are stored.

    - #### setHtStylePath

          public void setHtStylePath(java.lang.String htStylePath)

    - #### getHtStylePath

          public java.lang.String getHtStylePath()

    - #### setHtPdaStylePath

          public void setHtPdaStylePath(java.lang.String htPdaStylePath)

    - #### getHtPdaStylePath

          public java.lang.String getHtPdaStylePath()

    - #### addProjectReloadListener

          public void addProjectReloadListener(ProjectInfo.IProjectReloadListener prl)

    - #### removeProjectReloadListener

          public void removeProjectReloadListener(ProjectInfo.IProjectReloadListener prl)

    - #### addProjectPageLoadListener

          public void addProjectPageLoadListener(ProjectInfo.IProjectPageLoadListener ppll)

    - #### removeProjectPageLoadListener

          public void removeProjectPageLoadListener(ProjectInfo.IProjectPageLoadListener ppll)

    - #### setCurrentPageName

          public void setCurrentPageName(java.lang.String value)

    - #### getCurrentPageName

          public java.lang.String getCurrentPageName()

    - #### setDispatchername

          public void setDispatchername(java.lang.String value)

    - #### getDispatchername

          public java.lang.String getDispatchername()

    - #### getAdditionalManagedBeans

          public java.util.List<ProjectInfo.ManagedBeanInfoDT> getAdditionalManagedBeans()

    - #### addPageBeanCopyInfo

          public ProjectInfo.EditorPageBeanComponentInfo addPageBeanCopyInfo(java.lang.String jspDirectory,
                                                                             java.lang.String javaPackage)

    - #### addAdditionalResourceInfo

          public ProjectInfo.AdditionalResourceInfo addAdditionalResourceInfo(java.lang.String package1,
                                                                              java.lang.String name,
                                                                              java.lang.String expressionprefix)

    - #### addManagedBeanInfoDT

          public ProjectInfo.ManagedBeanInfoDT addManagedBeanInfoDT(java.lang.String name,
                                                                    java.lang.String className)

    - #### addTemplateInfo

          public ProjectInfo.TemplateInfo addTemplateInfo(java.lang.String resource,
                                                          java.lang.String image)

    - #### getAdditionalDeployInfos

          public java.util.List<ProjectInfo.AdditionalDeployCopyInfo> getAdditionalDeployInfos()

    - #### createAdditionalDeployInfo

          public void createAdditionalDeployInfo(java.lang.String fromdir,
                                                 java.lang.String todir,
                                                 java.lang.String ignorecsv,
                                                 boolean ignoreDuringHotDeployment)

    - #### getAllowclean

          public boolean getAllowclean()

      If true then the "clean&deploy" option is active in the layout editor. By default is true.

    - #### setAllowclean

          public void setAllowclean(boolean allowclean)

    - #### pageLoaded

          public void pageLoaded(java.lang.String pageName)

      This functions is called when a page is shown within the layout editor. The information is distributed to page load listeners so that these might react accordingly.

    - #### reloadProject

          public void reloadProject(java.lang.Object trigger)

    - #### clear

          public void clear()

    - #### setName

          public void setName(java.lang.String name)

    - #### setProjectdirectory

          public void setProjectdirectory(java.lang.String value)

    - #### setWebcontentdeployfromdirectory

          public void setWebcontentdeployfromdirectory(java.lang.String webcontentdeployfromdirectory)

    - #### setWebcontentdeploydirectory

          public void setWebcontentdeploydirectory(java.lang.String webcontentdeploydirectory)

    - #### setWebcontextroot

          public void setWebcontextroot(java.lang.String webcontextroot)

    - #### setWebhostport

          public void setWebhostport(java.lang.String webhostport)

    - #### setCopywebapp

          public void setCopywebapp(java.lang.String copywebapp)

    - #### setReloadwebapp

          public void setReloadwebapp(java.lang.String reloadwebapp)

    - #### setProjectFileName

          public void setProjectFileName(java.lang.String projectFileName)

    - #### setJavaSourceEncoding

          public void setJavaSourceEncoding(java.lang.String javaSourceEncoding)

    - #### setJavasourcewebinfdirectory

          public void setJavasourcewebinfdirectory(java.lang.String javasourcewebinfdirectory)

    - #### setRuntimeVersion

          public void setRuntimeVersion(java.lang.String runtimeVersion)

    - #### setClassPathExtension

          public void setClassPathExtension(java.lang.String classPathExtension)

    - #### setLibraries

          public void setLibraries(java.util.List<ProjectInfo.DesignTimeTLDInfo> libraries)

    - #### setTemplates

          public void setTemplates(java.util.List<ProjectInfo.TemplateInfo> templates)

    - #### setSupportsHotDeploy

          public void setSupportsHotDeploy(java.lang.String supportsHotDeploy)

    - #### setHotDeployFileName

          public void setHotDeployFileName(java.lang.String hotDeployFileName)

    - #### setAxis2Home

          public void setAxis2Home(java.lang.String axis2Home)

    - #### setCopywebappIgnore

          public void setCopywebappIgnore(java.lang.String[] copywebappIgnore)

    - #### setPreviewbgpaint

          public void setPreviewbgpaint(java.lang.String previewbgpaint)

    - #### setXml

          public void setXml(java.lang.String xml)

    - #### setCheckForUpdateFiles

          public void setCheckForUpdateFiles(java.lang.String value)

    - #### setExpressionManager

          public void setExpressionManager(java.lang.String value)

    - #### setCommandlinefilenotwriteable

          public void setCommandlinefilenotwriteable(java.lang.String value)

    - #### setUitestcasedirectory

          public void setUitestcasedirectory(java.lang.String value)

    - #### setPropertyfilesdirectory

          public void setPropertyfilesdirectory(java.lang.String propertyfilesdirectory)

    - #### getCodegeneratorMemberprefix

          public java.lang.String getCodegeneratorMemberprefix()

    - #### setCodegeneratorMemberprefix

          public void setCodegeneratorMemberprefix(java.lang.String codegeneratorPropertyprefix)

    - #### getCodegeneratorUIClassSuffix

          public java.lang.String getCodegeneratorUIClassSuffix()

    - #### setCodegeneratorUIClassSuffix

          public void setCodegeneratorUIClassSuffix(java.lang.String codegeneratorUIClassSuffix)

    - #### getCodegeneratorIndent

          public int getCodegeneratorIndent()

    - #### setCodegeneratorIndent

          public void setCodegeneratorIndent(int codegeneratorIndent)

    - #### getCodegeneratorMembervisibility

          public java.lang.String getCodegeneratorMembervisibility()

    - #### setCodegeneratorMembervisibility

          public void setCodegeneratorMembervisibility(java.lang.String codegeneratorMembervisibility)

    - #### setKeepGeneratedIds

          public void setKeepGeneratedIds(boolean value)

    - #### getKeepGeneratedIds

          public boolean getKeepGeneratedIds()

    - #### getManagedByCCToolSet

          public boolean getManagedByCCToolSet()

    - #### setManagedByCCToolSet

          public void setManagedByCCToolSet(boolean projectIsManagedByCCToolSet)

    - #### getPbcinfos

          public java.util.List<ProjectInfo.EditorPageBeanComponentInfo> getPbcinfos()

    - #### setPbcinfos

          public void setPbcinfos(java.util.List<ProjectInfo.EditorPageBeanComponentInfo> pbcinfos)

    - #### triggerSrcUpdateInEclipse

          public void triggerSrcUpdateInEclipse()

    - #### getHotDeploymentPackages

          public java.util.List<ProjectInfo.HotDeploymentPackage> getHotDeploymentPackages()

    - #### getStyles

          public java.util.List<java.lang.String> getStyles()

      Returns:
        All style variants that are defined within the project directory.

    - #### getProjectStyle

          public java.lang.String getProjectStyle()

      Returns:
        Name of the style that is the default one for the project. The default project stlye is defined in sessionsdefaults.xml, otherwise it is "default".

    - #### getStyleVariantsForComponent

          public java.util.List<java.lang.String> getStyleVariantsForComponent(java.lang.String componentName)

      Find style variants that are defined for a given component within the default style of the project.

    - #### getStyleValues

          public java.util.List<StyleManager.StyleValue> getStyleValues()

    - #### checkIfAttributeIsManagedByStyle

          public boolean checkIfAttributeIsManagedByStyle(java.lang.String componentName,
                                                          java.lang.String attributeName,
                                                          java.lang.String stylevariantName)

    - #### getPackageAbbreviations

          public java.util.List<ProjectInfo.PackageAbbreviation> getPackageAbbreviations()

    - #### getDeployinfofilename

          public java.lang.String getDeployinfofilename()

      File that - if defined - is written when deploying through the CaptainCasa toolset. The content of the file is the content of the project definition. As consequence it is possible to pass design time information of the last deployment into the runtime.

    - #### setDeployinfofilename

          public void setDeployinfofilename(java.lang.String deployinfofilename)

    - #### addPackageAbbreviation

          public void addPackageAbbreviation(java.lang.String packageName,
                                             java.lang.String abbreviation)

Copyright © CaptainCasa Gmbh. All Rights Reserved.